﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Effects;

namespace PerlinNoiseShader.ImprovedNoise
{
    public class PrepImprovedNoiseEffect:ShaderEffect
    {
        public static readonly DependencyProperty pArrayProperty = ShaderEffect.RegisterPixelShaderSamplerProperty("pArray", typeof(PrepImprovedNoiseEffect), 0);
        
        public PrepImprovedNoiseEffect()
        {
            Uri u = new Uri(@"/PerlinNoiseShader;component/ImprovedNoise/PrepImprovedNoise.ps", UriKind.Relative);
            PixelShader = new PixelShader() { UriSource = u };
            
            UpdateShaderValue(pArrayProperty);
            
        }
        
        public Brush pArray
        {
            get { return (Brush)GetValue(pArrayProperty); }
            set { SetValue(pArrayProperty, value); }
        }
    }
}
