﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace PerlinProject.Themes
{
    public class myTabItem : TabItem
    {
        public static DependencyProperty ClickedBorderBrushProperty=DependencyProperty.Register("ClickedBorderBrush",typeof(Brush),typeof(myTabItem),new PropertyMetadata(new SolidColorBrush(Color.FromArgb(255,255,255,255))));
        public static DependencyProperty MouseOverColorProperty = DependencyProperty.Register("MouseOverColor", typeof(Color), typeof(myTabItem), new PropertyMetadata(Color.FromArgb(255,255,255,255)));
        public Brush ClickedBorderBrush
        {
            get { return (Brush)GetValue(ClickedBorderBrushProperty); }
            set { SetValue(ClickedBorderBrushProperty, value); }

        }
        
        public Color MouseOverColor
        {
            get { return (Color)GetValue(MouseOverColorProperty); }
            set { SetValue(MouseOverColorProperty, value); }
        }
        public myTabItem()
        {
            
            this.DefaultStyleKey = typeof(myTabItem);
        }
    }
}
