﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace PerlinProject.Themes
{
    public class myCheckBox : CheckBox
    {
        public static readonly DependencyProperty oCheckedBrushProperty=DependencyProperty.Register("CheckedBrush",typeof(Brush),typeof(myCheckBox),new PropertyMetadata(new SolidColorBrush(Color.FromArgb(255,255,0,0))));
        public static readonly DependencyProperty oFocusBorderBrushProperty = DependencyProperty.Register("FocusBorderBrush", typeof(Brush), typeof(myCheckBox), new PropertyMetadata(new SolidColorBrush(Color.FromArgb(255, 255, 0, 0))));
        public Brush CheckedBrush
        {
            get { return (Brush)GetValue(oCheckedBrushProperty); }
            set { SetValue(oCheckedBrushProperty, value); }
        }

        public Brush FocusBorderBrush
        {
            get { return (Brush)GetValue(oFocusBorderBrushProperty); }
            set { SetValue(oFocusBorderBrushProperty, value); }
        }

        public myCheckBox()
        {
            this.DefaultStyleKey = typeof(myCheckBox);
            
        }
    }
}
